Subject: [core] WGLC draft-ietf-core-observe-11: Re-registration and cacellation

From: "Kovatsch Matthias" <[email-masked]>
Date: Mon, 21 Oct 2013 16:50:05 +0000

Dear list

I was wondering what should happen, when a client sends a GET with the Token used in an Observe relationship (like for re-registration), but without the Observe option. It is not disallowed AFAIK, so what should the server do? As I did not have any problem with the old cancellation via GET, I would now expect similar behavior.

I also see no point in constructing a new mechanism for cancellation that does not use GET. Observe was fully and transparently built on top of GET (i.e., no OBSERVE method or similar), so why not keep it this way? I think, it would be interesting to discuss at least the options for a cancellation mechanism different from GET at this point.

Ciao
Matthias